<!DOCTYPE html>
<html>
<head>
	<title>HW5</title>
</head>
<body>
	<script>
		/*  Создать объект "Документ", в котором определить свойства "Заголовок, тело, футер, дата".
			Создать в объекте вложенный объект - "Приложение". Создать в объекте "Приложение", вложенные объекты, "Заголовок, тело, футер, дата".
			Создать методы для заполнения и отображения документа. */

		const doc = {
			title: '',
			body: '',
			footer: '',
			date: 0,
			app: {
				title: '',
				body: '',
				footer: '',
				date: 0
			}
		}

		doc.fill = function(title, body, footer, date, fillApp = false) {
			let obj = fillApp ? this.app : this;

			obj.title = title;
			obj.body = body;
			obj.footer = footer;
			obj.date = date;
		}

		doc.show = function(showApp = false) {
			let obj = showApp ? this.app : this;

			document.write(`<h2>${obj.title}</h2><br><p>${obj.body}</p><br>${obj.footer}<br>Дата: ${doc.formatDate(obj.date)}`);
		}

		doc.formatDate = function(date) {
			return `${(date.getDate() < 10 ? '0' : '') + date.getDate()}.${(date.getMonth() < 9 ? '0' : '')
				+ (date.getMonth() + 1)}.${date.getFullYear()}`;
		}

		doc.fill('Заголовок документа', 'Текст содержимого', 'Тут подвал', new Date);
		doc.fill('Заголовок приложения', 'Важное приложение', 'Подвал попроще', (new Date('10.9.21')), true);

		console.log(doc);

		doc.show();
		document.write('<hr>');
		doc.show(true);
	</script>
</body>
</html>